# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 4.2

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: SandBox
# Configurations: Debug
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5


#############################################
# Set configuration variable for custom commands.

CONFIGURATION = Debug
# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles/rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = /home/erris/projects/open_engine/application/build/
# =============================================================================
# Object build statements for EXECUTABLE target sand_box


#############################################
# Order-only phony target for sand_box

build cmake_object_order_depends_target_sand_box: phony || .

build CMakeFiles/sand_box.dir/src/sandbox.cpp.o.ddi: CXX_SCAN__sand_box_Debug /home/erris/projects/open_engine/application/src/sandbox.cpp || cmake_object_order_depends_target_sand_box
  DEFINES = -D_GLIBCXX_USE_CXX11_ABI=0
  DEP_FILE = CMakeFiles/sand_box.dir/src/sandbox.cpp.o.ddi.d
  DYNDEP_INTERMEDIATE_FILE = CMakeFiles/sand_box.dir/src/sandbox.cpp.o.ddi
  FLAGS = -m64 -stdlib=libstdc++ -g -std=c++20
  INCLUDES = -I/home/erris/projects/open_engine/application/include
  OBJ_FILE = CMakeFiles/sand_box.dir/src/sandbox.cpp.o
  PREPROCESSED_OUTPUT_FILE = CMakeFiles/sand_box.dir/src/sandbox.cpp.o.ddi.i

build CMakeFiles/sand_box.dir/src/sandbox.cpp.o: CXX_COMPILER__sand_box_scanned_Debug /home/erris/projects/open_engine/application/src/sandbox.cpp | CMakeFiles/sand_box.dir/src/sandbox.cpp.o.modmap || cmake_object_order_depends_target_sand_box CMakeFiles/sand_box.dir/CXX.dd
  CONFIG = Debug
  DEFINES = -D_GLIBCXX_USE_CXX11_ABI=0
  DEP_FILE = CMakeFiles/sand_box.dir/src/sandbox.cpp.o.d
  DYNDEP_MODULE_MAP_FILE = CMakeFiles/sand_box.dir/src/sandbox.cpp.o.modmap
  FLAGS = -m64 -stdlib=libstdc++ -g -std=c++20
  INCLUDES = -I/home/erris/projects/open_engine/application/include
  OBJECT_DIR = CMakeFiles/sand_box.dir
  OBJECT_FILE_DIR = CMakeFiles/sand_box.dir/src
  TARGET_SUPPORT_DIR = CMakeFiles/sand_box.dir
  dyndep = CMakeFiles/sand_box.dir/CXX.dd

build CMakeFiles/sand_box.dir/CXX.dd | CMakeFiles/sand_box.dir/CXXModules.json CMakeFiles/sand_box.dir/src/sandbox.cpp.o.modmap: CXX_DYNDEP__sand_box_Debug CMakeFiles/sand_box.dir/src/sandbox.cpp.o.ddi | /home/erris/projects/open_engine/application/build/CMakeFiles/sand_box.dir/CXXDependInfo.json


# =============================================================================
# Link build statements for EXECUTABLE target sand_box


#############################################
# Link the executable sand_box

build sand_box: CXX_EXECUTABLE_LINKER__sand_box_Debug CMakeFiles/sand_box.dir/src/sandbox.cpp.o
  CONFIG = Debug
  DEP_FILE = CMakeFiles/sand_box.dir/link.d
  FLAGS = -m64 -stdlib=libstdc++ -g
  LINK_FLAGS = -m64 -Xlinker --dependency-file=CMakeFiles/sand_box.dir/link.d
  LINK_LIBRARIES = -Wl,-rpath,/home/erris/projects/open_engine/application/lib  -lopen_engine
  LINK_PATH = -L/home/erris/projects/open_engine/application/lib
  OBJECT_DIR = CMakeFiles/sand_box.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_FILE = sand_box
  TARGET_PDB = sand_box.dbg
  TARGET_SUPPORT_DIR = CMakeFiles/sand_box.dir


#############################################
# Utility command for edit_cache

build CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/erris/projects/open_engine/application/build && /usr/bin/ccmake -S/home/erris/projects/open_engine/application -B/home/erris/projects/open_engine/application/build
  DESC = Running CMake cache editor...
  pool = console
  restat = 1

build edit_cache: phony CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /home/erris/projects/open_engine/application/build && /usr/bin/cmake --regenerate-during-build -S/home/erris/projects/open_engine/application -B/home/erris/projects/open_engine/application/build
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles/rebuild_cache.util

# =============================================================================
# Target aliases.

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: /home/erris/projects/open_engine/application/build

build all: phony sand_box

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja /home/erris/projects/open_engine/application/build/cmake_install.cmake: RERUN_CMAKE | /home/erris/projects/open_engine/application/CMakeLists.txt /usr/share/cmake/Modules/CMakeCInformation.cmake /usr/share/cmake/Modules/CMakeCXXInformation.cmake /usr/share/cmake/Modules/CMakeCommonLanguageInclude.cmake /usr/share/cmake/Modules/CMakeFindDependencyMacro.cmake /usr/share/cmake/Modules/CMakeGenericSystem.cmake /usr/share/cmake/Modules/CMakeInitializeConfigs.cmake /usr/share/cmake/Modules/CMakeLanguageInformation.cmake /usr/share/cmake/Modules/CMakeSystemSpecificInformation.cmake /usr/share/cmake/Modules/CMakeSystemSpecificInitialize.cmake /usr/share/cmake/Modules/Compiler/CMakeCommonCompilerMacros.cmake /usr/share/cmake/Modules/Compiler/Clang-C.cmake /usr/share/cmake/Modules/Compiler/Clang-CXX.cmake /usr/share/cmake/Modules/Compiler/Clang.cmake /usr/share/cmake/Modules/Compiler/GNU.cmake /usr/share/cmake/Modules/Internal/CMakeCLinkerInformation.cmake /usr/share/cmake/Modules/Internal/CMakeCXXLinkerInformation.cmake /usr/share/cmake/Modules/Internal/CMakeCommonLinkerInformation.cmake /usr/share/cmake/Modules/Linker/GNU-C.cmake /usr/share/cmake/Modules/Linker/GNU-CXX.cmake /usr/share/cmake/Modules/Linker/GNU.cmake /usr/share/cmake/Modules/Platform/Linker/GNU.cmake /usr/share/cmake/Modules/Platform/Linker/Linux-GNU-C.cmake /usr/share/cmake/Modules/Platform/Linker/Linux-GNU-CXX.cmake /usr/share/cmake/Modules/Platform/Linker/Linux-GNU.cmake /usr/share/cmake/Modules/Platform/Linux-Clang-C.cmake /usr/share/cmake/Modules/Platform/Linux-Clang-CXX.cmake /usr/share/cmake/Modules/Platform/Linux-GNU-C.cmake /usr/share/cmake/Modules/Platform/Linux-GNU-CXX.cmake /usr/share/cmake/Modules/Platform/Linux-GNU.cmake /usr/share/cmake/Modules/Platform/Linux-Initialize.cmake /usr/share/cmake/Modules/Platform/Linux.cmake /usr/share/cmake/Modules/Platform/UnixPaths.cmake CMakeCache.txt CMakeFiles/4.2.1/CMakeCCompiler.cmake CMakeFiles/4.2.1/CMakeCXXCompiler.cmake CMakeFiles/4.2.1/CMakeSystem.cmake cmakedeps_macros.cmake conan_toolchain.cmake fmt-Target-none.cmake fmt-config-version.cmake fmt-config.cmake fmt-none-x86_64-data.cmake fmtTargets.cmake imgui-Target-none.cmake imgui-config-version.cmake imgui-config.cmake imgui-none-x86_64-data.cmake imguiTargets.cmake spdlog-Target-none.cmake spdlog-config-version.cmake spdlog-config.cmake spdlog-none-x86_64-data.cmake spdlogTargets.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build /home/erris/projects/open_engine/application/CMakeLists.txt /usr/share/cmake/Modules/CMakeCInformation.cmake /usr/share/cmake/Modules/CMakeCXXInformation.cmake /usr/share/cmake/Modules/CMakeCommonLanguageInclude.cmake /usr/share/cmake/Modules/CMakeFindDependencyMacro.cmake /usr/share/cmake/Modules/CMakeGenericSystem.cmake /usr/share/cmake/Modules/CMakeInitializeConfigs.cmake /usr/share/cmake/Modules/CMakeLanguageInformation.cmake /usr/share/cmake/Modules/CMakeSystemSpecificInformation.cmake /usr/share/cmake/Modules/CMakeSystemSpecificInitialize.cmake /usr/share/cmake/Modules/Compiler/CMakeCommonCompilerMacros.cmake /usr/share/cmake/Modules/Compiler/Clang-C.cmake /usr/share/cmake/Modules/Compiler/Clang-CXX.cmake /usr/share/cmake/Modules/Compiler/Clang.cmake /usr/share/cmake/Modules/Compiler/GNU.cmake /usr/share/cmake/Modules/Internal/CMakeCLinkerInformation.cmake /usr/share/cmake/Modules/Internal/CMakeCXXLinkerInformation.cmake /usr/share/cmake/Modules/Internal/CMakeCommonLinkerInformation.cmake /usr/share/cmake/Modules/Linker/GNU-C.cmake /usr/share/cmake/Modules/Linker/GNU-CXX.cmake /usr/share/cmake/Modules/Linker/GNU.cmake /usr/share/cmake/Modules/Platform/Linker/GNU.cmake /usr/share/cmake/Modules/Platform/Linker/Linux-GNU-C.cmake /usr/share/cmake/Modules/Platform/Linker/Linux-GNU-CXX.cmake /usr/share/cmake/Modules/Platform/Linker/Linux-GNU.cmake /usr/share/cmake/Modules/Platform/Linux-Clang-C.cmake /usr/share/cmake/Modules/Platform/Linux-Clang-CXX.cmake /usr/share/cmake/Modules/Platform/Linux-GNU-C.cmake /usr/share/cmake/Modules/Platform/Linux-GNU-CXX.cmake /usr/share/cmake/Modules/Platform/Linux-GNU.cmake /usr/share/cmake/Modules/Platform/Linux-Initialize.cmake /usr/share/cmake/Modules/Platform/Linux.cmake /usr/share/cmake/Modules/Platform/UnixPaths.cmake CMakeCache.txt CMakeFiles/4.2.1/CMakeCCompiler.cmake CMakeFiles/4.2.1/CMakeCXXCompiler.cmake CMakeFiles/4.2.1/CMakeSystem.cmake cmakedeps_macros.cmake conan_toolchain.cmake fmt-Target-none.cmake fmt-config-version.cmake fmt-config.cmake fmt-none-x86_64-data.cmake fmtTargets.cmake imgui-Target-none.cmake imgui-config-version.cmake imgui-config.cmake imgui-none-x86_64-data.cmake imguiTargets.cmake spdlog-Target-none.cmake spdlog-config-version.cmake spdlog-config.cmake spdlog-none-x86_64-data.cmake spdlogTargets.cmake: phony


#############################################
# Clean all the built files.

build clean: CLEAN


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
